$(function() {

	/* -----------------------------------------------------------------
	 モーダル
	----------------------------------------------------------------- */
	/* YOUTUBE */
	if($('.popup_youtube').length){
		$('.popup_youtube').magnificPopup({
			type: 'iframe',
			iframe: {
				patterns: {
				youtube: {
				index: 'youtube.com', 
				id: 'v=', 
				src: 'https://www.youtube.com/embed/%id%?rel=0&autoplay=1'
				}
			}
		}
		});
	}
	/* IMAGE */
	if($('.popup_image').length){
		$('.popup_image').magnificPopup({
			type: 'image'
		});
	}
	/* IFRAME */
	if($('.popup_iframe').length){
		$('.popup_iframe').magnificPopup({
			type: 'iframe',
			mainClass: 'mfp-fade',
			removalDelay: 200,
			fixedContentPos: true
		});
	}
	/* INLINE HTML */
	if($('.popup_inline').length){
		$('.popup_inline').magnificPopup({
			type: 'inline',
			mainClass: 'mfp-fade hgt_auto',//モーダルの高さが成り行きの場合 hgt_auto 追加
			removalDelay: 200,
			fixedContentPos: true
		});
	}

	/* -----------------------------------------------------------------
	 スライダー
	----------------------------------------------------------------- */
	if ($('.owl-carousel').length) {
		$(".owl-carousel").owlCarousel({
			items: 1,
			nav:false,
			loop:true,
			smartSpeed:250,
			autoplay:true,
			autoplayTimeout:4000,
			autoplayHoverPause:true
		});
	}

	/* -----------------------------------------------------------------
	　スクロール
	----------------------------------------------------------------- */
	var $pageTop = $("#js-pageTop");
	var $menuSp = $(".bottom_menu_sp");

	$(window).scroll(function () {
		pageTop();
		pageMenu();
	});

	$(window).on('load resize',function(){
		pageTop();
		pageMenu();
	});

	/* ページトップ */
	function pageTop(){
		var now = $(window).scrollTop();
		var min = 500;
		var fwOffset = $('#footerCont').offset().top;
		var bottom = now + $(window).height();
		if (now > min) { 
			$pageTop.addClass("show");
			if (bottom > fwOffset){
				$pageTop.addClass("bottom");
			}else{
				$pageTop.removeClass("bottom");
			}
		}else{
			$pageTop.removeClass("show");
		}
	}

	/* ドラマメニュー */
	function pageMenu() {
		var now = $( window ).scrollTop();
		var min = $('.contents_main').offset().top;
		if (now > min) { 
			$menuSp.addClass("show");
		}else{
			$menuSp.removeClass("show");
			$(".menu_sp").removeClass("open");
			$(".bottom_menu_sp").removeClass("active");
		}
	}

	/* -----------------------------------------------------------------
	 下層スマホメニュー
	----------------------------------------------------------------- */
	$(".bottom_menu_sp , .menu_sp").click(function(){
		$(".menu_sp").toggleClass("open");
		$(".bottom_menu_sp").toggleClass("active");
	});
	$(document).on("click", function(e) {
		if ($(".menu_sp").hasClass("open")) {
			if (!$(e.target).closest(".bottom_menu_sp ").length) {
				$(".menu_sp").toggleClass("open");
				$(".bottom_menu_sp").toggleClass("active");
			}
		}
	});

	/* =================================================================
	ready
	================================================================= */	
	$(document).ready( function(){
		pageTop();
		
		/* -----------------------------------------------------------------
		 スムーススクロール
		----------------------------------------------------------------- */
		var hh = 0; //ヘッダー高さ
		function smoothScroll($tgt) {
			var href= $tgt.attr('href');
			var str= href.split('#');
			href = "#" + str[1];
			var target = $(href == "#" || href == "" ? 'html' : href);
			var position = target.offset().top - hh;
			$('html, body').animate({scrollTop:position}, 600, 'swing');
			$(".menu_sp").removeClass("open");
			$(".bottom_menu_sp").removeClass("active");
		}

		var mediaQuery = window.matchMedia("(max-width: 640px)");
		//リサイズ処理
		//mediaQuery.addListener(handle);
		function handle(mq) {
			if (mq.matches) {
				/* スマホの時の処理
				------------------------------------------------------------- */
				/* スムーススクロール */
				// $('a[href*="#"]:not(.non-scroll)').click(function(){
				$(document).on("click", 'a[href*="#"]:not(.non-scroll)', function() {
					// hh = $header.height(); //ヘッダー高さ
					smoothScroll($(this));
					return false;
				});
			} else {
				/* PC・タブレットの時の処理
				------------------------------------------------------------- */
				/* スムーススクロール */
				// $('a[href*="#"]:not(.non-scroll)').click(function(){
				$(document).on("click", 'a[href*="#"]:not(.non-scroll)', function() {
					hh = 41; //ヘッダー高さ
					console.log("a");
					smoothScroll($(this));
					return false;
				});
			}
		}
		//初回処理
		handle(mediaQuery);
	});


});

document.addEventListener("DOMContentLoaded",function(){

	const tabList = document.querySelectorAll('.tab li');
	const tabContent = document.querySelectorAll(".tabContent");

	//tab切り替え
	tabList.forEach((li, index) => {
		li.addEventListener('click', () => {
			tabList.forEach(item => item.classList.remove('active'));
			tabContent.forEach(item => item.classList.remove('active'));
			tabList[index].classList.add('active');
			tabContent[index].classList.add('active');
		});
	});

	//gnavi遷移時tab切り替え
	const changeEpLinks = document.querySelectorAll(".change_episode");
	changeEpLinks.forEach((link)=>{
		link.addEventListener('click',(event)=>{
			const index = event.currentTarget.dataset.ep;
			tabList.forEach(item => item.classList.remove('active'));
			tabContent.forEach(item => item.classList.remove('active'));
			tabList[index].classList.add('active');
			tabContent[index].classList.add('active');
		})
	})
	

});